summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-db/sqlitebrowser/Manifest1
-rw-r--r--dev-db/sqlitebrowser/metadata.xml43
-rw-r--r--dev-db/sqlitebrowser/sqlitebrowser-3.12.1.ebuild67
-rw-r--r--dev-db/sqlitebrowser/sqlitebrowser-9999.ebuild67
4 files changed, 166 insertions, 12 deletions
diff --git a/dev-db/sqlitebrowser/Manifest b/dev-db/sqlitebrowser/Manifest
index 66ba9ee7251..a73bd0f9983 100644
--- a/dev-db/sqlitebrowser/Manifest
+++ b/dev-db/sqlitebrowser/Manifest
@@ -1 +1,2 @@
DIST sqlitebrowser-3.11.1.tar.gz 2523481 BLAKE2B c9a92b93795050605aa938cf5c73493b7d887b386da77b4cee206becd70779f00ab39c7a105772cdbe925ebedcfe0277b6ebe7898383db87454e19b050001253 SHA512 31f5315fd66d14fde16b58fe6522da937068c42e21f60aa15c3c04a1318ecac09f68143df108b83204cdc70ec8bac617a8ae196df9b5524690f837d7e7728916
+DIST sqlitebrowser-3.12.1.tar.gz 3990525 BLAKE2B 9cccd48c83e1953091508f5760b3004c4690791cacc5784286e6ce5220a6e55e761d736d8fbbb135e419beba12def89f63a3d37d6c7e0281f50392f07bf25357 SHA512 f0a62958008693606d9ab04b0413fa10705c7b45fb970c218d8f1adfe8ca01895a6470f369ded6cb7a9338c27385838b8d57c89b5855b4050ce9bec0d69626d1
diff --git a/dev-db/sqlitebrowser/metadata.xml b/dev-db/sqlitebrowser/metadata.xml
index 45409a91f1e..92f71ab6877 100644
--- a/dev-db/sqlitebrowser/metadata.xml
+++ b/dev-db/sqlitebrowser/metadata.xml
@@ -1,15 +1,34 @@
<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+
<pkgmetadata>
- <!-- maintainer-needed -->
- <longdescription lang="en">
-SQLite Database Browser is a freeware, public domain, open source visual tool
-used to create, design and edit database files compatible with SQLite. It is
-meant to be used for users and developers that want to create databases, edit
-and search data using a familiar spreadsheet-like interface, without the need to
-learn complicated SQL commands.
-</longdescription>
- <upstream>
- <remote-id type="github">sqlitebrowser/sqlitebrowser</remote-id>
- </upstream>
+ <maintainer type="person">
+ <email>beatussum@protonmail.com</email>
+ <name>Mattéo Rossillol‑‑Laruelle</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <longdescription>
+ DB Browser for SQLite (DB4S) is a freeware, public domain, open source
+ visual tool used to create, design and edit database files compatible
+ with SQLite. It is meant to be used for users and developers that want
+ to create databases, edit and search data using a familiar
+ spreadsheet-like interface, without the need to learn complicated SQL
+ commands.
+ </longdescription>
+ <longdescription lang="fr">
+ DB Browser for SQLite (DB4S) est un outil graphique, gratuit et open
+ source permettant de créer, concevoir et éditer toute base de données
+ compatible avec SQLite. Celui-ci est à déstination des utilisateurs et
+ des développeurs qui veulent créer des base de données et interragir
+ avec ces dernières, tout en utilisant une interface semblable à celle
+ d'un tableur, et, de ce fait, ne pas être contraint à apprendre des
+ commandes SQL complexes.
+ </longdescription>
+ <upstream>
+ <bugs-to>https://github.com/sqlitebrowser/sqlitebrowser/issues/</bugs-to>
+ <remote-id type="github">sqlitebrowser/sqlitebrowser</remote-id>
+ </upstream>
</pkgmetadata>
diff --git a/dev-db/sqlitebrowser/sqlitebrowser-3.12.1.ebuild b/dev-db/sqlitebrowser/sqlitebrowser-3.12.1.ebuild
new file mode 100644
index 00000000000..d094723adf0
--- /dev/null
+++ b/dev-db/sqlitebrowser/sqlitebrowser-3.12.1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake xdg
+
+DESCRIPTION="A light GUI editor for SQLite databases"
+HOMEPAGE="https://sqlitebrowser.org/"
+
+if [[ "${PV}" = *9999* ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/${PN}/${PN}.git"
+else
+ SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-3+ MPL-2.0"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+ app-editors/qhexedit2
+ dev-db/sqlite:3
+ dev-libs/qcustomplot
+ >=dev-qt/qtconcurrent-5.5:5
+ >=dev-qt/qtcore-5.5:5
+ >=dev-qt/qtgui-5.5:5
+ >=dev-qt/qtnetwork-5.5:5[ssl]
+ >=dev-qt/qtprintsupport-5.5:5
+ >=dev-qt/qtwidgets-5.5:5
+ >=dev-qt/qtxml-5.5:5
+ >=x11-libs/qscintilla-2.8.10:=
+"
+
+BDEPEND="
+ >=dev-qt/linguist-tools-5.5:5
+ test? ( >=dev-qt/qttest-5.5:5 )
+"
+
+RDEPEND="
+ ${DEPEND}
+ >=dev-qt/qtsvg-5.5:5
+"
+
+src_prepare() {
+ cmake_src_prepare
+
+ if ! use test; then
+ sed -i CMakeLists.txt \
+ -e "/find_package/ s/ Test//" \
+ -e "/set/ s/ Qt5::Test//" \
+ || die "Cannot remove Qt Test from CMake dependencies"
+ fi
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DENABLE_TESTING=$(usex test)
+ -DFORCE_INTERNAL_QCUSTOMPLOT=OFF
+ -DFORCE_INTERNAL_QHEXEDIT=OFF
+ )
+
+ cmake_src_configure
+}
diff --git a/dev-db/sqlitebrowser/sqlitebrowser-9999.ebuild b/dev-db/sqlitebrowser/sqlitebrowser-9999.ebuild
new file mode 100644
index 00000000000..d094723adf0
--- /dev/null
+++ b/dev-db/sqlitebrowser/sqlitebrowser-9999.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake xdg
+
+DESCRIPTION="A light GUI editor for SQLite databases"
+HOMEPAGE="https://sqlitebrowser.org/"
+
+if [[ "${PV}" = *9999* ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/${PN}/${PN}.git"
+else
+ SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-3+ MPL-2.0"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+ app-editors/qhexedit2
+ dev-db/sqlite:3
+ dev-libs/qcustomplot
+ >=dev-qt/qtconcurrent-5.5:5
+ >=dev-qt/qtcore-5.5:5
+ >=dev-qt/qtgui-5.5:5
+ >=dev-qt/qtnetwork-5.5:5[ssl]
+ >=dev-qt/qtprintsupport-5.5:5
+ >=dev-qt/qtwidgets-5.5:5
+ >=dev-qt/qtxml-5.5:5
+ >=x11-libs/qscintilla-2.8.10:=
+"
+
+BDEPEND="
+ >=dev-qt/linguist-tools-5.5:5
+ test? ( >=dev-qt/qttest-5.5:5 )
+"
+
+RDEPEND="
+ ${DEPEND}
+ >=dev-qt/qtsvg-5.5:5
+"
+
+src_prepare() {
+ cmake_src_prepare
+
+ if ! use test; then
+ sed -i CMakeLists.txt \
+ -e "/find_package/ s/ Test//" \
+ -e "/set/ s/ Qt5::Test//" \
+ || die "Cannot remove Qt Test from CMake dependencies"
+ fi
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DENABLE_TESTING=$(usex test)
+ -DFORCE_INTERNAL_QCUSTOMPLOT=OFF
+ -DFORCE_INTERNAL_QHEXEDIT=OFF
+ )
+
+ cmake_src_configure
+}